Subject: bug#19064: bug#17272: bug#19064: 25.0.50; `message' overwrites `y-or-n-p' prompt, so user misses it

From: Michael Heerdegen <[email-masked]>
Date: Sat, 16 Nov 2019 23:37:49 +0100

Juri Linkov <[email-masked]> writes:

> >> That's easy to do.  But the statement wasn't just
> >> about the minibuffer when echo area was meant, or
> >> vice versa.  The claim was that _user input_ (not
> >> a prompt) became permanently hidden.
> >
> > I don't know if that was also a mistake or really meant like that.
>
> This is not a mistake.  Permanently hidden user input
> is a serious problem and security threat.
>
> Today I started compilation, then in a Dired buffer
> requested files deletion that displayed the prompt:
>
>   Delete D [54 files] (y or n)
>
> But before I had a chance to answer the prompt, compilation finished
> and obscured the prompt with this message permanently:
>
>   Compilation finished
>
> So I forgot about what was in the prompt :-(
>
> Since Drew doesn't want to improve safety to cover all such cases,
> we need to address these issues one by one [...]

That's nearly impossible to do, and once you are done, new cases will
likely be introduced in the future.  Drew, how would you address this
class of problems?

Michael.